hpp-corbaserver: _objref_PathValidation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_PathValidation Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for _objref_PathValidation:
[legend]
Collaboration diagram for _objref_PathValidation:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | validate (::hpp::core_idl::Path_ptr p, ::CORBA::Boolean reverse, ::hpp::core_idl::Path_out validPart, ::hpp::core_idl::PathValidationReport_out report)
::CORBA::Boolean | validateConfiguration (const ::hpp::floatSeq &config, ::hpp::core_idl::ValidationReport_out report)
| _objref_PathValidation ()
| _objref_PathValidation (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_PathValidation ()

## Friends
class | PathValidation

## Constructor & Destructor Documentation

## ◆ _objref_PathValidation() [1/2]

_objref_PathValidation::_objref_PathValidation | ( |  | ) |
| inline

## ◆ _objref_PathValidation() [2/2]

_objref_PathValidation::_objref_PathValidation | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_PathValidation()

virtual _objref_PathValidation::~_objref_PathValidation | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_PathValidation::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_PathValidation::deleteThis | ( |  | ) |

## ◆ persistantStorage()

void _objref_PathValidation::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ validate()

::CORBA::Boolean _objref_PathValidation::validate | ( | ::hpp::core_idl::Path_ptr | p,
|  | ::CORBA::Boolean | reverse,
|  | ::hpp::core_idl::Path_out | validPart,
|  | ::hpp::core_idl::PathValidationReport_out | report
| ) |  |

## ◆ validateConfiguration()

::CORBA::Boolean _objref_PathValidation::validateConfiguration | ( | const ::hpp::floatSeq & | config,
|  | ::hpp::core_idl::ValidationReport_out | report
| ) |  |

## Friends And Related Symbol Documentation

## ◆ PathValidation

friend class PathValidation
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh